# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'friendly/cukes/version'

Gem::Specification.new do |spec|
  spec.name          = "friendly-cukes"
  spec.version       = Friendly::Cukes::VERSION
  spec.authors       = ["Chandra sekaran", "Rajesh Kalaivanan"]
  spec.email         = ["profchan2k15@gmail.com"]
  spec.summary       = %q{Friendly-Cukes is a nice ruby-cucumber test automation framework for both web and mobile apps}
  spec.description   = %q{Friendly-Cukes is a ready-to-use ruby-cucumber automation framework for both web and mobile.
                        Its features includes Generic framework libraries, Object repository, Custom logging,
                        Custom execution reporting, Performance reporting, support for parallel execution etc}
  spec.homepage      = "https://github.com/Chan-Chan1/friendly-cukes"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]
  spec.post_install_message = "friendly-cukes is a ready to use ruby-cucumber automation framework\nHappy testing!!!\n"
  spec.required_ruby_version = Gem::Requirement.new(">= 2.0.0")
  spec.rubyforge_project = "Friendly-Cukes"

  if Gem::Version.new(Gem::VERSION) >= Gem::Version.new("0.0.1")
    spec.add_runtime_dependency(%q<simplecov>, ["= 0.9.2"])
    spec.add_runtime_dependency(%q<page-object>, ["= 1.0.2"])
    spec.add_runtime_dependency(%q<cucumber>, ["= 1.3.15"])
    spec.add_runtime_dependency(%q<time_difference>, ["= 0.3.2"])
    spec.add_runtime_dependency(%q<data_magic>, ["= 0.19"])
    spec.add_runtime_dependency(%q<require_all>, ["= 1.3.2"])
    spec.add_runtime_dependency(%q<nokogiri>, ["= 1.6.3.1"])
    spec.add_runtime_dependency(%q<dbi>, ["= 0.4.5"])
    spec.add_runtime_dependency(%q<dbd-sqlanywhere>, ["= 1.0.1"])
    spec.add_runtime_dependency(%q<appium_lib>, ["= 4.1.0"])

    spec.add_development_dependency "bundler", "~> 1.6"
    spec.add_development_dependency "rake", "~> 10.0"
  end
end
